## MLNX_OFED_SRC-debian-25.10-1.2.8.0.tgz

=== Makefile ===
# Makefile.in generated by automake 1.16.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Copyright (C) 2007-2017 Nicira, Inc.
# Copyright (c) 2023-2024 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2013 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009-2018 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009, 2010, 2011, 2012, 2014, 2016 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2013 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2017 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright (C) 2009, 2010, 2011, 2012, 2014 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.

# Copyright 2015 Cloudbase Solutions Srl
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License.You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
# WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.See the
# License for the specific language governing permissions and limitations
# under the License.

# Copyright (C) 2016 Nicira, Inc.
#
# Copying and distribution of this file, with or without modification,
# are permitted in any medium without royalty provided the copyright
# notice and this notice are preserved.  This file is offered as-is,
# without warranty of any kind.






am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgincludedir = $(includedir)/doca-openvswitch
pkglibdir = $(libdir)/doca-openvswitch
pkglibexecdir = $(libexecdir)/doca-openvswitch
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = -I $(top_srcdir)/include/windows -I \
#	$(top_srcdir)/datapath-windows/include \
#	$(PTHREAD_INCLUDES) $(MSVC_CFLAGS)
#am__append_2 = $(PTHREAD_LDFLAGS) $(MSVC64_LDFLAGS)
#am__append_3 = -D_FILE_OFFSET_BITS=64 \
#	-DALLOW_EXPERIMENTAL_API
#am__append_4 = -DDOCA_ALLOW_EXPERIMENTAL_API
#am__append_5 = -DNDEBUG
#am__append_6 = -fomit-frame-pointer
bin_PROGRAMS = utilities/ovs-appctl$(EXEEXT) \
	utilities/ovs-testcontroller$(EXEEXT) \
	utilities/ovs-dpctl$(EXEEXT) utilities/ovs-ofctl$(EXEEXT) \
	utilities/ovs-vsctl$(EXEEXT) ovsdb/ovsdb-tool$(EXEEXT) \
	ovsdb/ovsdb-client$(EXEEXT) vtep/vtep-ctl$(EXEEXT)
sbin_PROGRAMS = vswitchd/ovs-vswitchd$(EXEEXT) \
	ovsdb/ovsdb-server$(EXEEXT)
EXTRA_PROGRAMS = $(am__EXEEXT_1)
noinst_PROGRAMS = $(am__EXEEXT_2) tests/test-ovsdb$(EXEEXT) \
	tests/test-lib$(EXEEXT) tests/ovstest$(EXEEXT) \
	tests/test-stream$(EXEEXT) tests/test-strtok_r$(EXEEXT) \
	tests/test-type-props$(EXEEXT)
#am__append_7 = manpage-check
#am__append_8 = manpage-check
#am__append_9 = flake8-check
#am__append_10 = ovsext
#am__append_11 = ovsext_clean
#am__append_12 = docs-check
#am__append_13 = docs-check
#am__append_14 = clean-docs

# Only build the manpage if DOCA_OFFLOAD is enabled
#am__append_15 = \
#	ovs-doca-tcpdump.8.rst


# we use DPDK_NETDEV as we use dpif-doca for dpdk as well
#am__append_16 = lib/dpif-doca-tcpdump-hooks.inc
#am__append_17 = ${PTHREAD_LIBS}

# Build library of avx512 code with CPU ISA CFLAGS enabled. This allows the
# compiler to use the ISA features required for the ISA optimized code-paths.
# Use LDFLAGS to compile only static library of this code, as it should be
# statically linked into vswitchd even if vswitchd is a shared build.
am__append_18 = lib/libopenvswitchavx512.la
am__append_19 = lib/libopenvswitchavx512.la
am__append_20 = \
	-mavx512bw \
	-mavx512vl

am__append_21 = \
	lib/dpif-doca-extract-avx512.c \
	lib/dpif-doca-lookup-avx512-gather.c \
	lib/dpif-netdev-extract-avx512.c \
	lib/dpif-netdev-lookup-avx512-gather.c

am__append_22 = \
	lib/odp-execute-avx512.c

#am__append_23 = \
#	lib/daemon-windows.c \
#	lib/getopt_long.c \
#	lib/getrusage-windows.c \
#	lib/latch-windows.c \
#	lib/route-table-stub.c \
#	lib/if-notifier-stub.c \
#	lib/stream-windows.c \
#	lib/strsep.c

am__append_24 = \
	lib/daemon-unix.c \
	lib/latch-unix.c \
	lib/signals.c \
	lib/signals.h \
	lib/socket-util-unix.c \
	lib/stream-unix.c

am__append_25 = -Wno-unused
am__append_26 = -Wno-unused-parameter
am__append_27 = \
	lib/dpif-netlink.c \
	lib/dpif-netlink.h \
	lib/dpif-netlink-rtnl.c \
	lib/dpif-netlink-rtnl.h \
	lib/if-notifier.c \
	lib/introspect.c \
	lib/netdev-linux.c \
	lib/netdev-linux.h \
	lib/netdev-linux-private.h \
	lib/netdev-offload-tc.c \
	lib/netlink-conntrack.c \
	lib/netlink-conntrack.h \
	lib/netlink-notifier.c \
	lib/netlink-notifier.h \
	lib/netlink-protocol.h \
	lib/netlink-socket.c \
	lib/netlink-socket.h \
	lib/rtnetlink.c \
	lib/rtnetlink.h \
	lib/route-table.c \
	lib/route-table.h \
	lib/tc.c \
	lib/tc.h

#am__append_28 = \
#	lib/netdev-afxdp-pool.c \
#	lib/netdev-afxdp-pool.h \
#	lib/netdev-afxdp.c \
#	lib/netdev-afxdp.h

#am__append_29 = \
#	lib/dpdk.c \
#	lib/netdev-dpdk.c \
#	lib/netdev-offload-dpdk.c

am__append_30 = \
	lib/dpdk-stub.c

#am__append_31 = \
#	lib/batch.h \
#	lib/concurrent-array.c \
#	lib/concurrent-array.h \
#	lib/id-refmap.c \
#	lib/id-refmap.h \
#	lib/dpdk-offload-provider.h \
#	lib/dpif-doca-extract-study.c \
#	lib/dpif-doca-lookup.h \
#	lib/dpif-doca-lookup.c \
#	lib/dpif-doca-lookup-autovalidator.c \
#	lib/dpif-doca-lookup-generic.c \
#	lib/dpif-doca.c \
#	lib/dpif-doca.h \
#	lib/dpif-doca-ext.c \
#	lib/dpif-doca-ext.h \
#	lib/dpif-doca-metrics.c \
#	lib/dpif-doca-metrics.h \
#	lib/dpif-doca-private-dfc.c \
#	lib/dpif-doca-private-dfc.h \
#	lib/dpif-doca-private-dpcls.h \
#	lib/dpif-doca-private-dpif.c \
#	lib/dpif-doca-private-dpif.h \
#	lib/dpif-doca-private-extract.c \
#	lib/dpif-doca-private-extract.h \
#	lib/dpif-doca-private-flow.h \
#	lib/dpif-doca-private-thread.h \
#	lib/dpif-doca-private.h \
#	lib/dpif-doca-tcpdump.c \
#	lib/dpif-doca-tcpdump.h \
#	lib/netdev-doca.c \
#	lib/netdev-doca.h \
#	lib/netdev-doca-ext.c \
#	lib/netdev-doca-ext.h \
#	lib/netdev-doca-vdpa.c \
#	lib/netdev-doca-vdpa.h \
#	lib/netdev-offload-doca.c \
#	lib/netdev-offload-doca.h \
#	lib/refmap.c \
#	lib/refmap.h \
#	lib/salloc.c \
#	lib/salloc.h

#am__append_32 = \
#	lib/doca-action-split.h \
#	lib/doca-action-split.c \
#	lib/doca-pipe-group.h \
#	lib/doca-pipe-group.c \
#	lib/doca-mirror.h \
#	lib/doca-mirror.c \
#	lib/dpdk-offload-doca.c \
#	lib/dpdk-offload-doca.h \
#	lib/ovs-doca.h \
#	lib/ovs-doca.c

am__append_33 = \
	lib/ovs-doca.h \
	lib/ovs-doca-stub.c

#am__append_34 = \
#	lib/dpif-netlink.c \
#	lib/dpif-netlink.h \
#	lib/dpif-netlink-rtnl.h \
#	lib/netdev-windows.c \
#	lib/netlink-conntrack.c \
#	lib/netlink-conntrack.h \
#	lib/netlink-notifier.c \
#	lib/netlink-notifier.h \
#	lib/netlink-protocol.h \
#	lib/netlink-socket.c \
#	lib/netlink-socket.h \
#	lib/wmi.c \
#	lib/wmi.h

am__append_35 = lib/async-append-aio.c
#am__append_36 = lib/async-append-null.c
#am__append_37 = \
#	lib/if-notifier-bsd.c \
#	lib/netdev-bsd.c \
#	lib/rtbsd.c \
#	lib/rtbsd.h \
#	lib/route-table-bsd.c

#am__append_38 = lib/stream-ssl.c lib/dhparams.c
am__append_39 = lib/stream-nossl.c
#am__append_40 = lib/dns-resolve.c
am__append_41 = lib/dns-resolve-stub.c
#am__append_42 = lib/dpif-doca-tcpdump-hooks.inc
#am__append_43 = ${PTHREAD_LIBS}
#am__append_44 = \
#	utilities/ovs-doca-tcpdump

#am__append_45 = \
#	utilities/ovs-doca-tcpdump.in

am__append_46 = utilities/nlmon
#am__append_47 = \
#	utilities/ovs-doca-tcpdump.in

#am__append_48 = \
#	tests/test-concurrent-array.c \
#	tests/test-id-refmap.c \
#	tests/test-refmap.c \
#	tests/test-salloc.c

am__append_49 = \
	tests/test-unix-socket.c

am__append_50 = \
	tests/test-lib-route-table.c \
	tests/test-netlink-conntrack.c \
	tests/test-netlink-policy.c

#am__append_51 = $(TESTPKI_FILES)
#am__append_52 = $(TESTPKI_FILES) tests/ovs-pki.log
#am__append_53 = clean-pki

# we use DPDK_NETDEV as we use dpif-doca for dpdk as well
#am__append_54 = \
#	include/dpif-doca-tcpdump-hooks.h

#am__append_55 = \
#	include/dpif-doca-tcpdump-hooks.h

=== tests/gtest/Makefile ===
# Makefile.in generated by automake 1.16.1 from Makefile.am.
# tests/gtest/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2018 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





VPATH = /home/jenkins/agent/workspace/libxlio/LibXLIO-release/tests/gtest
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libxlio
pkgincludedir = $(includedir)/libxlio
pkglibdir = $(libdir)/libxlio
pkglibexecdir = $(libexecdir)/libxlio
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = gtest$(EXEEXT)
subdir = tests/gtest
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/config/m4/libtool.m4 \
	$(top_srcdir)/config/m4/ltoptions.m4 \
	$(top_srcdir)/config/m4/ltsugar.m4 \
	$(top_srcdir)/config/m4/ltversion.m4 \
	$(top_srcdir)/config/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/m4/utls.m4 \
	$(top_srcdir)/config/m4/func.m4 $(top_srcdir)/config/m4/opt.m4 \
	$(top_srcdir)/config/m4/verbs.m4 \
	$(top_srcdir)/config/m4/json.m4 \
	$(top_srcdir)/config/m4/dpcp.m4 $(top_srcdir)/config/m4/nl.m4 \
	$(top_srcdir)/config/m4/prof.m4 \
	$(top_srcdir)/config/m4/compiler.m4 \
	$(top_srcdir)/config/m4/linking_optimization.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
	$(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
LTLIBRARIES = $(noinst_LTLIBRARIES)
libgtest_la_LIBADD =
am__dirstamp = $(am__leading_dot)dirstamp
am_libgtest_la_OBJECTS = googletest/src/libgtest_la-gtest-all.lo \
	googletest/src/libgtest_la-gtest_main.lo
libgtest_la_OBJECTS = $(am_libgtest_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
libgtest_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(libgtest_la_CXXFLAGS) \
	$(CXXFLAGS) $(libgtest_la_LDFLAGS) $(LDFLAGS) -o $@
am_gtest_OBJECTS = gtest-main.$(OBJEXT) common/gtest-sys.$(OBJEXT) \
	common/gtest-base.$(OBJEXT) sock/gtest-sock_base.$(OBJEXT) \
	sock/gtest-sock_socket.$(OBJEXT) mix/gtest-mix_base.$(OBJEXT) \
	mix/gtest-sg_array.$(OBJEXT) mix/gtest-sock_addr.$(OBJEXT) \
	mix/gtest-ip_address.$(OBJEXT) mix/gtest-mix_list.$(OBJEXT) \
	tcp/gtest-tcp_accept.$(OBJEXT) tcp/gtest-tcp_bind.$(OBJEXT) \
	tcp/gtest-tcp_connect.$(OBJEXT) \
	tcp/gtest-tcp_connect_nb.$(OBJEXT) \
	tcp/gtest-tcp_event.$(OBJEXT) \
	tcp/gtest-tcp_listen_nb.$(OBJEXT) \
	tcp/gtest-tcp_listen_connect_nb.$(OBJEXT) \
	tcp/gtest-tcp_rfs.$(OBJEXT) tcp/gtest-tcp_send.$(OBJEXT) \
	tcp/gtest-tcp_sendto.$(OBJEXT) \
	tcp/gtest-tcp_sendfile.$(OBJEXT) \
	tcp/gtest-tcp_socket.$(OBJEXT) tcp/gtest-tcp_sockopt.$(OBJEXT) \
	tcp/gtest-tcp_tls.$(OBJEXT) udp/gtest-udp_socket.$(OBJEXT) \
	udp/gtest-udp_bind.$(OBJEXT) udp/gtest-udp_connect.$(OBJEXT) \
	udp/gtest-udp_recv.$(OBJEXT) udp/gtest-udp_send.$(OBJEXT) \
	udp/gtest-udp_sendto.$(OBJEXT) udp/gtest-udp_rfs.$(OBJEXT) \
	core/gtest-xlio_base.$(OBJEXT) \
	core/gtest-xlio_sockopt.$(OBJEXT) \
	xliod/gtest-xliod_base.$(OBJEXT) \
	xliod/gtest-xliod_hash.$(OBJEXT) \
	xliod/gtest-xliod_init.$(OBJEXT) \
	xliod/gtest-xliod_state.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_listen_connect.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_migrate.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_migrate_2.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_send_receive.$(OBJEXT) \
	xlio_ultra_api/gtest-xlio_socket_send_receive_2.$(OBJEXT)
nodist_gtest_OBJECTS = gtest-hash.$(OBJEXT)
gtest_OBJECTS = $(am_gtest_OBJECTS) $(nodist_gtest_OBJECTS)
am__DEPENDENCIES_1 =
gtest_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(gtest_CXXFLAGS) \
	$(CXXFLAGS) $(gtest_LDFLAGS) $(LDFLAGS) -o $@
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/aux/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = ./$(DEPDIR)/gtest-hash.Po \
	./$(DEPDIR)/gtest-main.Po common/$(DEPDIR)/gtest-base.Po \
	common/$(DEPDIR)/gtest-sys.Po \
	core/$(DEPDIR)/gtest-xlio_base.Po \
	core/$(DEPDIR)/gtest-xlio_sockopt.Po \
	googletest/src/$(DEPDIR)/libgtest_la-gtest-all.Plo \
	googletest/src/$(DEPDIR)/libgtest_la-gtest_main.Plo \
	mix/$(DEPDIR)/gtest-ip_address.Po \
	mix/$(DEPDIR)/gtest-mix_base.Po \
	mix/$(DEPDIR)/gtest-mix_list.Po \
	mix/$(DEPDIR)/gtest-sg_array.Po \
	mix/$(DEPDIR)/gtest-sock_addr.Po \
	sock/$(DEPDIR)/gtest-sock_base.Po \
	sock/$(DEPDIR)/gtest-sock_socket.Po \
	tcp/$(DEPDIR)/gtest-tcp_accept.Po \
	tcp/$(DEPDIR)/gtest-tcp_bind.Po \
	tcp/$(DEPDIR)/gtest-tcp_connect.Po \
	tcp/$(DEPDIR)/gtest-tcp_connect_nb.Po \
	tcp/$(DEPDIR)/gtest-tcp_event.Po \
	tcp/$(DEPDIR)/gtest-tcp_listen_connect_nb.Po \
	tcp/$(DEPDIR)/gtest-tcp_listen_nb.Po \
	tcp/$(DEPDIR)/gtest-tcp_rfs.Po tcp/$(DEPDIR)/gtest-tcp_send.Po \
	tcp/$(DEPDIR)/gtest-tcp_sendfile.Po \
	tcp/$(DEPDIR)/gtest-tcp_sendto.Po \
	tcp/$(DEPDIR)/gtest-tcp_socket.Po \
	tcp/$(DEPDIR)/gtest-tcp_sockopt.Po \
	tcp/$(DEPDIR)/gtest-tcp_tls.Po udp/$(DEPDIR)/gtest-udp_bind.Po \
	udp/$(DEPDIR)/gtest-udp_connect.Po \
	udp/$(DEPDIR)/gtest-udp_recv.Po udp/$(DEPDIR)/gtest-udp_rfs.Po \
	udp/$(DEPDIR)/gtest-udp_send.Po \
	udp/$(DEPDIR)/gtest-udp_sendto.Po \
	udp/$(DEPDIR)/gtest-udp_socket.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_listen_connect.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_migrate.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_migrate_2.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_send_receive.Po \
	xlio_ultra_api/$(DEPDIR)/gtest-xlio_socket_send_receive_2.Po \
	xliod/$(DEPDIR)/gtest-xliod_base.Po \
	xliod/$(DEPDIR)/gtest-xliod_hash.Po \
	xliod/$(DEPDIR)/gtest-xliod_init.Po \
	xliod/$(DEPDIR)/gtest-xliod_state.Po
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
AM_V_CXX = $(am__v_CXX_$(V))
am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
am__v_CXX_0 = @echo "  CXX     " $@;
am__v_CXX_1 = 
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CXXLD = $(am__v_CXXLD_$(V))
am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
am__v_CXXLD_0 = @echo "  CXXLD   " $@;
am__v_CXXLD_1 = 
SOURCES = $(libgtest_la_SOURCES) $(gtest_SOURCES) \
	$(nodist_gtest_SOURCES)
DIST_SOURCES = $(libgtest_la_SOURCES) $(gtest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
HEADERS = $(noinst_HEADERS)
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in \
	$(top_srcdir)/config/aux/depcomp README
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/jenkins/agent/workspace/libxlio/LibXLIO-release/config/aux/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/jenkins/agent/workspace/libxlio/LibXLIO-release/config/aux/missing autoconf
AUTOHEADER = ${SHELL} /home/jenkins/agent/workspace/libxlio/LibXLIO-release/config/aux/missing autoheader
AUTOMAKE = ${SHELL} /home/jenkins/agent/workspace/libxlio/LibXLIO-release/config/aux/missing automake-1.16
AWK = gawk
BUILD_DATE = 09 Oct 2025
BUILD_DATE_CHANGELOG = Thu, 09 Oct 2025 17:13:14 +0000
BUILD_TIME = 17:13:14

=== drivers/net/ethernet/mellanox/mlx5/core/steering/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
GCOV_PROFILE := $(CONFIG_MLX5_GCOV)

subdir-ccflags-y += -I$(src)/..

=== debian/changelog ===
doca-openvswitch (3.2.0044-1.2510122.2510128) unstable; urgency=low
   * New build

 -- Networking Support <networking-support@nvidia.com>  Tue, 27 Jun 2023 14:08:41 +0200

openvswitch (3.3.6-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 02 Jun 2025 16:06:12 +0200

openvswitch (3.3.5-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 02 Jun 2025 16:06:12 +0200

openvswitch (3.3.4-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 27 Feb 2025 14:57:49 +0100

openvswitch (3.3.3-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 15 Nov 2024 14:34:05 +0100

openvswitch (3.3.2-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 27 Aug 2024 14:33:26 +0200

openvswitch (3.3.1-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 07 Jun 2024 15:58:27 +0200

openvswitch (3.3.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 16 Feb 2024 12:25:58 +0100

openvswitch (3.2.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 17 Aug 2023 15:20:36 +0200

openvswitch (3.1.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 16 Feb 2023 13:52:24 +0100

openvswitch (3.0.0-1) unstable; urgency=low

   * New upstream version
   * Update debian packaging to be on par with package source in Debian/Ubuntu:
     - Provide a openvswitch-switch-dpdk package that integrates with the dpdk
       package in the distributions so that end users can opt into a
       DPDK-enabled Open vSwitch binary.
     - Provide systemd service files.
     - Provide openvswitch-source package for reproducible integrated build of
       for example OVN.
     - Stop building shared library and subsequently remove libopenvswitch and
       libopenvswitch-dev binary packages.

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 15 Aug 2022 17:43:58 +0200

openvswitch (2.17.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 17 Feb 2022 19:15:21 +0100

openvswitch (2.16.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 16 Aug 2021 22:08:13 +0200

openvswitch (2.15.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 15 Feb 2021 17:35:33 +0100

openvswitch (2.14.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 17 Aug 2020 14:17:17 +0200

openvswitch (2.13.0-1) unstable; urgency=low
   [ Open vSwitch team]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Fri, 14 Feb 2020 12:00:00 -0700

openvswitch (2.12.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 03 Sep 2019 14:56:53 -0700

openvswitch (2.11.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Tue, 19 Feb 2019 21:42:33 -0700

openvswitch (2.10.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Sat, 18 Aug 2018 10:38:23 -0700

openvswitch (2.9.0-1) unstable; urgency=low

   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Mon, 19 Feb 2018 11:03:12 -0700

openvswitch (2.8.0-1) unstable; urgency=medium

   [ Open vSwitch team ]
   * Use debhelper for DEB_VERSION_UPSTREAM.  Thanks to Clint Byrum
     <spamaps@debian.org> for this improvement.
   * New upstream version

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 31 Aug 2017 09:32:16 -0700

openvswitch (2.7.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Utilities and daemons that support SSL now allow protocols and
     ciphers to be configured with --ssl-protocols and --ssl-ciphers.
   - OVN:
     * QoS is now implemented via egress shaping rather than ingress policing.
     * DSCP marking is now supported, via the new northbound QoS table.
     * IPAM now supports fixed MAC addresses.
     * Support for source IP address based routing.
     * ovn-trace:
       - New --ovs option to also print OpenFlow flows.
       - put_dhcp_opts and put_dhcp_optsv6 actions may now be traced.
     * Support for managing SSL and remote connection configuration in
       northbound and southbound databases.
     * TCP connections to northbound and southbound databases are no
       longer enabled by default and must be explicitly configured.
       See documentation for ovn-sbctl/ovn-nbctl "set-connection"
       command or the ovn-ctl "--db-sb-create-insecure-remote" and
       "--db-nb-create-insecure-remote" command-line options for
       information regarding remote connection configuration.
     * New appctl "inject-pkt" command in ovn-controller that allows
       packets to be injected into the connected OVS instance.
     * Distributed logical routers may now be connected directly to
       logical switches with localnet ports, by specifying a
       "redirect-chassis" on the distributed gateway port of the
       logical router.  NAT rules may be specified directly on the
       distributed logical router, and are handled either centrally on
       the "redirect-chassis", or in many cases are handled locally on
       the hypervisor where the corresponding logical port resides.
       Gratuitous ARP for NAT addresses on a distributed logical
       router is not yet supported, but will be added in a future
       version.


=== debian/control ===
Source: doca-openvswitch
Section: net
Priority: optional
Maintainer: Open vSwitch developers <dev@openvswitch.org>
Uploaders:
 Simon Horman <horms@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Luca Boccassi <bluca@debian.org>,
 Christian Ehrhardt <christian.ehrhardt@canonical.com>,
Build-Depends:
 autoconf (>= 2.64),
 automake (>= 1.10),
 bzip2,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 dh-sequence-python3,
 graphviz,
 iproute2,
 libcap-ng-dev,
 libdbus-1-dev [amd64 i386 ppc64el arm64],
 libnuma-dev [amd64 i386 ppc64el arm64],
 libpcap-dev [amd64 i386 ppc64el arm64],
 libssl-dev,
 libtool,
 libunbound-dev,
 openssl,
 pkg-config,
 procps,
 python3-all-dev,
 python3-setuptools,
 python3-sortedcontainers,
 python3-sphinx,
 libdoca-sdk-flow-dev <doca>
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://openvswitch.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch/-/tree/debian/experimental
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/openvswitch.git
X-Python3-Version: >= 3.7

Package: doca-openvswitch-common
Architecture: linux-any
Depends:
 openssl,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 openvswitch-common (= 3.3),
Suggests:
 ethtool,
Breaks:
 openvswitch-switch (<< 2.13~),
Replaces:
 openvswitch-switch (<< 2.13~),
 openvswitch-common,
Conflicts:
 openvswitch-common,
Description: Open vSwitch common components
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-common provides components required by both openvswitch-switch
 and openvswitch-testcontroller.

Package: doca-openvswitch-ipsec
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 iproute2,
 doca-openvswitch-common (= ${binary:Version}),
 doca-openvswitch-switch (= ${binary:Version}),
 python3-doca-openvswitch (= ${source:Version}),
 strongswan,
 ${misc:Depends},
Suggests: python3:any
Provides:
 openvswitch-ipsec (= 3.3),
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-ipsec,
Conflicts:
 openvswitch-ipsec,
Description: Open vSwitch IPsec tunneling support
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package provides IPsec tunneling support for OVS tunnels.

Package: doca-openvswitch-pki
Architecture: all
Depends:
 doca-openvswitch-common (<< ${source:Version}.1~),
 doca-openvswitch-common (>= ${source:Version}),
 ${misc:Depends},
Replaces:
 openvswitch-pki,
Conflicts:
 openvswitch-pki,
Description: Open vSwitch public key infrastructure dependency package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-pki provides PKI (public key infrastructure) support for
 Open vSwitch switches and controllers, reducing the risk of
 man-in-the-middle attacks on the Open vSwitch network infrastructure.

Package: doca-openvswitch-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Open vSwitch source code
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Open vSwitch source code to support
 use with the Open Virtual Network (OVN) build.

Package: doca-openvswitch-switch
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends},
Depends:
 kmod | module-init-tools,
 netbase,
 doca-openvswitch-common (= ${binary:Version}),
 procps,
 python3-netifaces,
 python3-doca-openvswitch (>= ${source:Version}),
 uuid-runtime,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 openvswitch-switch (= 3.3),
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-switch,
Conflicts:
 openvswitch-switch,
Description: Open vSwitch switch implementations
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 openvswitch-switch provides the userspace components and utilities for
 the Open vSwitch kernel-based switch.


Package: doca-openvswitch-test
Architecture: all
Depends:
 python3-twisted,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-openvswitch (<< 2.17~),
 openvswitch-common (<< 2.17~),
Replaces:
 python3-openvswitch (<< 2.17~),
 openvswitch-common (<< 2.17~),
 openvswitch-test,
Conflicts:
 openvswitch-test,
Description: Open vSwitch test package
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains utilities that are useful to diagnose
 performance and connectivity issues in Open vSwitch setup.

Package: doca-openvswitch-testcontroller
Architecture: linux-any
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-testcontroller,
Conflicts:
 openvswitch-testcontroller,
Pre-Depends: ${misc:Pre-Depends}
Depends:
 lsb-base,
 doca-openvswitch-common (= ${binary:Version}),
 doca-openvswitch-pki (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Simple controller for testing OpenFlow setups
 This controller enables OpenFlow switches that connect to it to act
 as MAC-learning Ethernet switches.  It can be used for initial
 testing of OpenFlow networks.  It is not a necessary or desirable
 part of a production OpenFlow deployment.

Package: doca-openvswitch-vtep
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 lsb-base,
 lsb-release,
 doca-openvswitch-common (>= ${binary:Version}),
 doca-openvswitch-switch (>= ${binary:Version}),
 python3-doca-openvswitch (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Suggests: python3:any
Breaks:
 openvswitch-common (<< 2.17~),
Replaces:
 openvswitch-common (<< 2.17~),
 openvswitch-vtep,
Conflicts:
 openvswitch-vtep,
Description: Open vSwitch VTEP utilities
 Open vSwitch is a production quality, multilayer, software-based, Ethernet
 virtual switch. It is designed to enable massive network automation through
 programmatic extension, while still supporting standard management interfaces
 and protocols (e.g. NetFlow, sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In
 addition, it is designed to support distribution across multiple physical
 servers similar to VMware's vNetwork distributed vswitch or Cisco's Nexus
 1000V.
 .
 This package provides utilities that are useful to interact with a
 VTEP-configured database and a VTEP emulator.

Package: python3-doca-openvswitch
Architecture: linux-any
Section: python
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 python3-openvswitch (= 3.3),
Suggests:
 python3-netaddr,
 python3-pyparsing,
 python3-unbound,
Breaks:
 python3-openvswitch (<< 2.17~),
Replaces:
 python3-openvswitch,
Conflicts:
 python3-openvswitch,
Description: Python 3 bindings for Open vSwitch
 Open vSwitch is a production quality, multilayer, software-based,
 Ethernet virtual switch. It is designed to enable massive network
 automation through programmatic extension, while still supporting
 standard management interfaces and protocols (e.g. NetFlow, IPFIX,
 sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
 to support distribution across multiple physical servers similar to
 VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
 .
 This package contains the full Python 3 bindings for Open vSwitch
 database.

Package: doca-openvswitch-dev
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 libopenvswitch (<< 2.17~),
 libopenvswitch-dev (<< 2.17~),
 doca-libopenvswitch (<< 2.17~),
 doca-libopenvswitch-dev (<< 2.17~),
Conflicts:
 libopenvswitch (<< 2.17~),
 libopenvswitch-dev (<< 2.17~),
 doca-libopenvswitch (<< 2.17~),
 doca-libopenvswitch-dev (<< 2.17~),
Description: Open vSwitch OpenFlow development package (library, headers)
 This provides shared library, libopenswitch.so and the openvswitch header
 files needed to build an external application.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# This version is for a hypothetical package that can build a kernel modules
# architecture-dependant package via make-kpkg, as well as an
# architecture-independent module source package, and other packages
# either dep/indep for things like common files or userspace components
# needed for the kernel modules.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

WITH_DKMS ?= 1
WITH_MOD_SIGN ?= 0
MLXNUMC = $(shell grep ^processor /proc/cpuinfo | wc -l)
NJOBS ?= $(shell if [ $(MLXNUMC) -lt 16 ]; then echo $(MLXNUMC); else echo 16; fi)

pname:=virtiofs
psource:=$(pname)-source
ifeq ($(WITH_DKMS),1)
pdkms:=$(pname)-dkms
else
pdkms:=$(pname)-modules
endif

pversion := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-.\+/\1/p')
prel := $(shell dpkg-parsechangelog | sed -n 's/^Version: *\([^-]\+\)-\(.\+\)/\2/p')

export INSTALL_MOD_DIR:=updates
export INSTALL_MOD_PATH:=$(CURDIR)/debian/$(pdkms)

DIST_NAME := $(shell lsb_release -si)
DIST_RELEASE := $(DIST_NAME)/$(shell lsb_release -sc)


KVER ?= $(shell uname -r)
KVER1 = $(shell echo $(KVER) | sed -e 's/_/-/g')
K_BUILD ?= "/lib/modules/$(KVER)/build"

%:
ifeq ($(WITH_DKMS),1)
	dh $@ --with dkms
else
	dh $@
endif

override_dh_auto_clean:

override_dh_auto_configure:

override_dh_auto_build:
ifneq ($(WITH_DKMS),1)
	@echo Building for $(KVER)
	make clean || true
	make -j$(NJOBS) KVER=$(KVER) K_BUILD=$(K_BUILD)
endif

override_dh_auto_test:

override_dh_auto_install:
ifneq ($(WITH_DKMS),1)
	make install INSTALL_MOD_DIR=$(INSTALL_MOD_DIR) INSTALL_MOD_PATH=$(INSTALL_MOD_PATH) KERNELRELEASE=$(KVER) KVER=$(KVER) K_BUILD=$(K_BUILD)
	find $(INSTALL_MOD_PATH) \( -type f -a -name "modules.*" \) -delete
ifeq ($(WITH_MOD_SIGN),1)
	tools/sign-modules $(INSTALL_MOD_PATH)/lib/modules/ $(K_BUILD)
endif
endif

	# For dkms
ifeq ($(WITH_DKMS),1)
	dh_installdirs -p$(pdkms)  usr/src/$(pname)-$(pversion)
	cp makefile debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp Makefile debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	cp *.c *.h debian/$(pdkms)/usr/src/$(pname)-$(pversion)
	sed -e '/^PACKAGE_VERSION=/s/=.*/="$(pversion)"/' <dkms.conf >debian/dkms.conf
	# BUILD_EXCLUSIVE_KERNEL_MIN supported since dkms 3.0.11.
	# Not in debian 11, ubuntu 22.04
	sed -i -e '/^BUILD_EXCLUSIVE_KERNEL_MIN/s/.*/BUILD_EXCLUSIVE_KERNEL="^6.[6-9]|^6.[12][0-9]|^[7-9]"/' \
		debian/dkms.conf

	# Force DKMS to install our modules.
	# This is mostly needed for modules that do not have a version number info, as DKMS
	# will compare their srcversion field, which does not really say which module is newer.
	dh_installdirs -p$(pdkms)  usr/share/dkms/modules_to_force_install/
	echo "$(pname)" > debian/$(pdkms)/usr/share/dkms/modules_to_force_install/$(pname).force
endif

override_dh_installinit:


ifneq ($(WITH_DKMS),1)
override_dh_gencontrol:
	dh_gencontrol -- -v$(pversion)-$(prel).kver.$(KVER1)
endif

ifneq ($(MLNX_KO_NO_STRIP),1)
ifneq ($(WITH_DKMS),1)
override_dh_strip:
	dh_strip
	find debian -name '*.ko' | xargs -r strip -g
ifeq ($(WITH_MOD_SIGN),1)
	tools/sign-modules $(INSTALL_MOD_PATH)/lib/modules/ $(K_BUILD)
endif
endif
endif
